## srm-ifce 1.13.0

=== CMakeLists.txt ===
## cmake build script for srm-ifce
project (srm-ifce)
cmake_minimum_required (VERSION 2.6)
message("cmake source dir : ${CMAKE_SOURCE_DIR}")
# build type
set(CMAKE_BUILD_TYPE RelWithDebInfo)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

# load module
include(DefineInstallationPaths REQUIRED)
include(MacroCopyFile REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)

find_package(PkgConfig REQUIRED)
find_package(gSOAP REQUIRED)
find_package(CGSI_GSOAP REQUIRED)
#define opts
set(UNIT_TESTS FALSE
        CACHE STRING "enable or disable unit test compilation")

#define PROJECT vars
set(PROJECT_NAME "srm-ifce")
set(OUTPUT_NAME "gfal_srm_ifce")

set(VERSION_MAJOR 1)
set(VERSION_MINOR 13)
set(VERSION_PATCH 0)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

#define vars
set(LIBRARY_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
set(CMAKE_CURRENT_BINARY_DIR ${CMAKE_SOURCE_DIR}/build/)


# libs checks
pkg_check_modules(GSOAP_PKG REQUIRED gsoap)


#install doc license
install(FILES "LICENSE" "RELEASE-NOTES" "VERSION" "README"
		DESTINATION ${DOC_INSTALL_DIR})


add_subdirectory (src)

=== src/CMakeLists.txt ===
## src cmake build script for srm-ifce


FILE(GLOB src_libs1 "*function*.c")
FILE(GLOB src_libs2 "*dependencies*.c")
FILE(GLOB src_libs3 "*wrapper*.c")
FILE(GLOB src_libs4 "*util*.c")

FILE(GLOB src_program "gfal_srm_ifce_version.c")

FILE(GLOB src_unit_tests "*unittest*.c")
FILE(GLOB src_system_tests "*systemtest*.c")

LIST(APPEND src_libs ${src_libs1} ${src_libs2} ${src_libs3} ${src_libs4})



## gsoap generation
# srmv1
set(srmv1_typemap "typemap-srmv1.dat")
set(srmv1_wsdl "srm.v1.1.wsdl")
set(srm1_header_files "srm.v1.1.h")
set(srm1_source_files "srmC.c")
set(srm1_dir "srmv1")


file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${srm1_dir})

add_custom_command(	OUTPUT ${srm1_header_files} 
					DEPENDS ${srmv1_typemap} ${srmv1_wsdl}
					COMMAND ${GSOAP_WSDL2H} ${GSOAP_276_COMPAT_FLAGS} -c -e -y -z -t ${CMAKE_CURRENT_SOURCE_DIR}/${srmv1_typemap}  ${CMAKE_CURRENT_SOURCE_DIR}/${srmv1_wsdl}  -o ${srm1_header_files})
add_custom_command(	OUTPUT ${srm1_source_files} ${srm1_map_files} 
					DEPENDS ${srm1_header_files} 
					COMMAND ${GSOAP_SOAPCPP2} -c -d ${CMAKE_CURRENT_BINARY_DIR}/${srm1_dir} -p srm ${srm1_header_files} )


#srmv2


set(srm2_dir "${CMAKE_CURRENT_BINARY_DIR}/srmv2")
set(srmv2_typemap "typemap-srmv2.dat")
set(srmv2_wsdl "srm.v2.2.wsdl")
set(srm_map_files "${srm2_dir}/srmSoapBinding.nsmap")
set(srm2_header_files "${srm2_dir}/srm.v2.2.h")
set(srm2_source_file1 "${srm2_dir}/srmv2C.c")
set(srm2_source_file2 "${srm2_dir}/srmv2Client.c")


file(MAKE_DIRECTORY ${srm2_dir})


add_custom_command(	OUTPUT  ${srm2_header_files}
					DEPENDS  ${srmv2_typemap} ${srmv2_wsdl} 
					COMMAND ${GSOAP_WSDL2H} ${GSOAP_276_COMPAT_FLAGS} -c -e -y  -t ${CMAKE_CURRENT_SOURCE_DIR}/${srmv2_typemap}  ${CMAKE_CURRENT_SOURCE_DIR}/${srmv2_wsdl}  -o ${srm2_header_files})
add_custom_command(	OUTPUT ${srm2_source_file1} ${srm2_source_file2}
					DEPENDS ${srm2_header_files} 
					COMMAND ${GSOAP_SOAPCPP2} -c -d ${srm2_dir} -p srmv2 ${srm2_header_files} )

					
# transform typemap
set(srm_map_files_c "srmSoapBinding.c")
add_custom_command(OUTPUT  ${srm_map_files_c}  DEPENDS ${srm2_source_file1} COMMAND cp ${srm_map_files} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c} )

set_source_files_properties(${srm_map_files_c} ${srm2_source_file1} ${srm2_source_file2}
                           PROPERTIES GENERATED TRUE)




add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE)
include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS})
link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )

## main libs
add_library(srm-ifce  SHARED ${src_libs} ${srm2_source_file1} ${srm2_source_file2} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c})
target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} )
set_target_properties(srm-ifce 	PROPERTIES
								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
								SOVERSION ${VERSION_MAJOR}
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME ${OUTPUT_NAME} 
	                          
)

# add a package config file
add_PkgConfigFile_for_Library(srm-ifce.pc srm-ifce)




## version control
add_executable(gfal_srm_ifce_version 
									${src_program})
target_link_libraries(gfal_srm_ifce_version )								

IF (${UNIT_TESTS})

## unit tests
add_executable(gfal_srm_ifce_unittest 
									${src_unit_tests} )
target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce)
add_executable(gfal_srm_ifce_systemtest 
									${src_system_tests} )
target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce)

ENDIF (${UNIT_TESTS})

install(TARGETS srm-ifce 
	    RUNTIME       DESTINATION ${CMAKE_INSTALL_PREFIX}
	    LIBRARY       DESTINATION ${LIB_INSTALL_DIR} )
	    
install(TARGETS gfal_srm_ifce_version
	    RUNTIME       DESTINATION ${BIN_INSTALL_DIR})
	    
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/srm-ifce.pc" DESTINATION ${PKGCONFIG_FILES_DIR})

install(FILES "gfal_srm_ifce_types.h" "gfal_srm_ifce.h"
		DESTINATION ${INCLUDE_INSTALL_DIR})

=== debian/changelog ===
srm-ifce (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #687680)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 14 Sep 2012 14:03:02 +0200

=== debian/control ===
Source: srm-ifce
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
Standards-Version: 3.9.3
Section: libs
Homepage: https://svnweb.cern.ch/trac/lcgutil

Package: libgfal-srm-ifce1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SRM client side library
 srm-ifce is a client side implementation of the SRMv1 and SRMv2
 specification for GFAL1/2 and FTS. SRM means Storage Resource Manager
 Interface, it is a specification of a SOAP interface providing a
 generic way to manage distributed storage systems.

Package: srm-ifce-dev
Section: libdevel
Architecture: any
Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
Description: SRM client side headers and development files
 Development libraries, pkgconfig files and header files for the
 srm-ifce.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=""

override_dh_install:
	rm -rf debian/tmp/usr/share/doc
	dh_install --fail-missing

override_dh_clean:
	rm -rf build
	dh_clean

## srm-ifce 1.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,13 @@
 cmake_minimum_required (VERSION 2.6)
 message("cmake source dir : ${CMAKE_SOURCE_DIR}")
 # build type
-set(CMAKE_BUILD_TYPE RelWithDebInfo)
+set(CMAKE_BUILD_TYPE "RelWithDebInfo"
+        CACHE STRING "type of build")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
+
+#enable testing
+INCLUDE(CTest)
 
 # load module
 include(DefineInstallationPaths REQUIRED)
@@ -25,19 +29,13 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 13)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 15)
+set(VERSION_PATCH 2)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-
-#define vars
-set(LIBRARY_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
-set(CMAKE_CURRENT_BINARY_DIR ${CMAKE_SOURCE_DIR}/build/)
-
 
 # libs checks
 pkg_check_modules(GSOAP_PKG REQUIRED gsoap)
-
+pkg_check_modules(GLIB2_PKG REQUIRED glib-2.0)
 
 #install doc license
 install(FILES "LICENSE" "RELEASE-NOTES" "VERSION" "README"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,13 +67,13 @@
 
 
 
-add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE)
-include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS})
+add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall)
+include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS})
 link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )
 
 ## main libs
 add_library(srm-ifce  SHARED ${src_libs} ${srm2_source_file1} ${srm2_source_file2} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c})
-target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} )
+target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES} rt)
 set_target_properties(srm-ifce 	PROPERTIES
 								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
 								SOVERSION ${VERSION_MAJOR}
@@ -93,17 +93,22 @@
 									${src_program})
 target_link_libraries(gfal_srm_ifce_version )								
 
-IF (${UNIT_TESTS})
+IF (UNIT_TESTS)
+
+link_directories (${PROJECT_BINARY_DIR}/ ${PROJECT_BINARY_DIR}/src)
 
 ## unit tests
 add_executable(gfal_srm_ifce_unittest 
 									${src_unit_tests} )
-target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce)
+target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
 add_executable(gfal_srm_ifce_systemtest 
 									${src_system_tests} )
-target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce)
+target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
 
-ENDIF (${UNIT_TESTS})
+add_test(base_unit_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_unittest)
+#add_test(base_system_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_systemtest)
+
+ENDIF (UNIT_TESTS)
 
 install(TARGETS srm-ifce 
 	    RUNTIME       DESTINATION ${CMAKE_INSTALL_PREFIX}

=== debian/changelog ===
srm-ifce (1.15.2-2build1) saucy; urgency=low

  * No-change rebuild against libgsoap3.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 20 May 2013 16:42:14 +0200

srm-ifce (1.15.2-2) unstable; urgency=low

  * Workaround missing ECOMM on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 04 May 2013 23:12:43 +0200

srm-ifce (1.15.2-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 03 May 2013 14:54:55 +0200

## srm-ifce 1.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,8 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 15)
-set(VERSION_PATCH 2)
+set(VERSION_MINOR 18)
+set(VERSION_PATCH 0)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 # libs checks

=== DESCRIPTION ===
The Grid File Access Library offers a POSIX interface to Replica Catalogs,
Storage Resource Managers and File Access services using protocols like rfio,
dcap...

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,9 @@
 
 
 
-add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall)
+add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}"
+-DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall ${GSOAP_PKG_CFLAGS}
+ ${GSOAP_PKG_CFLAGS_OTHER})
 include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS})
 link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )

=== debian/changelog ===
srm-ifce (1.18.0-1build1) trusty; urgency=medium

  * No-change rebuild against libgsoap4

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 29 Dec 2013 17:10:06 +0100

srm-ifce (1.18.0-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 14 Oct 2013 13:52:04 +0200

srm-ifce (1.16.0-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 11 Aug 2013 05:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: srm-ifce
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://svnweb.cern.ch/trac/lcgutil
 
@@ -19,7 +19,7 @@
 Package: srm-ifce-dev
 Section: libdevel
 Architecture: any
-Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
+Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Description: SRM client side headers and development files
  Development libraries, pkgconfig files and header files for the
  srm-ifce.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,3 @@
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
 	dh_install --fail-missing
-
-override_dh_clean:
-	rm -rf build
-	dh_clean

## srm-ifce 1.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,8 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 18)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 21)
+set(VERSION_PATCH 4)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 # libs checks

=== debian/changelog ===
srm-ifce (1.21.4-2) unstable; urgency=medium

  * Workaround for missing ETIME (kfreebsd) and EBADR (kfreebsd and hurd)
  * Drop patch srm-ifce-ecomm (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 14:25:08 +0100

srm-ifce (1.21.4-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 07:34:15 +0100

srm-ifce (1.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Oct 2014 21:11:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
-Homepage: https://svnweb.cern.ch/trac/lcgutil
+Homepage: http://dmc.web.cern.ch/
 
 Package: libgfal-srm-ifce1
 Section: libs

## srm-ifce 1.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,10 @@
 include(ReleaseDebugAutoFlags REQUIRED)
 include(CMakeGeneratePkgConfig REQUIRED)
 
-find_package(PkgConfig REQUIRED)
 find_package(gSOAP REQUIRED)
 find_package(CGSI_GSOAP REQUIRED)
+find_package(GLIB2 REQUIRED)
+
 #define opts
 set(UNIT_TESTS FALSE
         CACHE STRING "enable or disable unit test compilation")
@@ -29,16 +30,12 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 21)
-set(VERSION_PATCH 4)
+set(VERSION_MINOR 23)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
-# libs checks
-pkg_check_modules(GSOAP_PKG REQUIRED gsoap)
-pkg_check_modules(GLIB2_PKG REQUIRED glib-2.0)
-
 #install doc license
-install(FILES "LICENSE" "RELEASE-NOTES" "VERSION" "README"
+install(FILES "LICENSE" "RELEASE-NOTES" "VERSION" "README" "readme.html"
 		DESTINATION ${DOC_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,6 @@
 FILE(GLOB src_system_tests "*systemtest*.c")
 
 LIST(APPEND src_libs ${src_libs1} ${src_libs2} ${src_libs3} ${src_libs4})
-
-
 
 ## gsoap generation
 # srmv1
@@ -67,15 +65,17 @@
 
 
 
-add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}"
--DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall ${GSOAP_PKG_CFLAGS}
- ${GSOAP_PKG_CFLAGS_OTHER})
-include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS})
+add_definitions(
+    -D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}"
+    -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall
+    ${GSOAP_CFLAGS}
+)
+include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS})
 link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )
 
 ## main libs
 add_library(srm-ifce  SHARED ${src_libs} ${srm2_source_file1} ${srm2_source_file2} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c})
-target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES} rt)
+target_link_libraries(srm-ifce ${GSOAP_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_LIBRARIES} rt)
 set_target_properties(srm-ifce 	PROPERTIES
 								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
 								SOVERSION ${VERSION_MAJOR}
@@ -91,24 +91,23 @@
 
 
 ## version control
-add_executable(gfal_srm_ifce_version 
-									${src_program})
-target_link_libraries(gfal_srm_ifce_version )								
+add_executable(gfal_srm_ifce_version  ${src_program})
+target_link_libraries(gfal_srm_ifce_version srm-ifce)								
 
 IF (UNIT_TESTS)
 
-link_directories (${PROJECT_BINARY_DIR}/ ${PROJECT_BINARY_DIR}/src)
-
-## unit tests
-add_executable(gfal_srm_ifce_unittest 
-									${src_unit_tests} )
-target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
-add_executable(gfal_srm_ifce_systemtest 
-									${src_system_tests} )
-target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
-
-add_test(base_unit_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_unittest)
-#add_test(base_system_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_systemtest)
+    link_directories (${PROJECT_BINARY_DIR}/ ${PROJECT_BINARY_DIR}/src)
+    
+    ## unit tests
+    add_executable(gfal_srm_ifce_unittest 
+    									${src_unit_tests} )
+    target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
+    add_executable(gfal_srm_ifce_systemtest 
+    									${src_system_tests} )
+    target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
+    
+    add_test(base_unit_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_unittest)
+    #add_test(base_system_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_systemtest)
 
 ENDIF (UNIT_TESTS)

=== debian/changelog ===
srm-ifce (1.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 11 Jun 2015 19:30:56 +0200

srm-ifce (1.22.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch srm-ifce-errno.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 09 Apr 2015 16:04:54 +0200

## srm-ifce 1.23.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,24 @@
 find_package(CGSI_GSOAP REQUIRED)
 find_package(GLIB2 REQUIRED)
 
+# Link against Globus
+# Need to be redundant as cgsi-gsoap is a static library in MacOSX
+find_package(Globus_COMMON)
+find_package(Globus_GSI_CERT_UTILS REQUIRED)
+find_package(Globus_GSI_CREDENTIAL REQUIRED)
+find_package(Globus_GSS_ASSIST REQUIRED)
+find_package(Globus_GSSAPI_GSI REQUIRED)
+find_package(OpenSSL REQUIRED)
+
+set (GLOBUS_LIBRARIES
+    ${GLOBUS_COMMON_LIBRARIES}
+    ${GLOBUS_GSI_CERT_UTILS_LIBRARIES}
+    ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
+    ${GLOBUS_GSS_ASSIST_LIBRARIES}
+    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
+    ${OPENSSL_LIBRARIES}
+)
+
 #define opts
 set(UNIT_TESTS FALSE
         CACHE STRING "enable or disable unit test compilation")
@@ -31,7 +49,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 23)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 3)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.23.3-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:23 +0000

srm-ifce (1.23.3-1) unstable; urgency=medium

  * New upstream release
  * Implement Multi-Arch support
  * Add dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Dec 2015 00:18:08 +0100

=== debian/control ===
Source: srm-ifce
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 8.0.0), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
Standards-Version: 3.9.6
Section: libs
Homepage: http://dmc.web.cern.ch/

Package: libgfal-srm-ifce1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SRM client side library
 srm-ifce is a client side implementation of the SRMv1 and SRMv2
 specification for GFAL1/2 and FTS. SRM means Storage Resource Manager
 Interface, it is a specification of a SOAP interface providing a
 generic way to manage distributed storage systems.

Package: srm-ifce-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Description: SRM client side headers and development files
 Development libraries, pkgconfig files and header files for the
 srm-ifce.

Package: srm-ifce-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for SRM client side library
 Debug symbols for the srm-ifce.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,25 @@
 
 export CFLAGS CXXFLAGS LDFLAGS
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=""
+	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
+	# Replace with a script for multi-arch
+	printf '#!/bin/sh\necho ' > \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
+	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version >> \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
+	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbg-package srm-ifce-dbg

## srm-ifce 1.24.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 find_package(Globus_GSI_CREDENTIAL REQUIRED)
 find_package(Globus_GSS_ASSIST REQUIRED)
 find_package(Globus_GSSAPI_GSI REQUIRED)
+find_package(Globus_OPENSSL REQUIRED)
 find_package(OpenSSL REQUIRED)
 
 set (GLOBUS_LIBRARIES
@@ -36,6 +37,7 @@
     ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
     ${GLOBUS_GSS_ASSIST_LIBRARIES}
     ${GLOBUS_GSSAPI_GSI_LIBRARIES}
+    ${GLOBUS_OPENSSL_LIBRARIES}
     ${OPENSSL_LIBRARIES}
 )
 
@@ -48,8 +50,8 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 23)
-set(VERSION_PATCH 3)
+set(VERSION_MINOR 24)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.24.1-1) unstable; urgency=medium

  * New upstream release
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 18:10:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 8.0.0), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://dmc.web.cern.ch/

## srm-ifce 1.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.24.2-2build2) bionic; urgency=medium

  * No-change rebuild against libgsoap-2.8.60

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Feb 2018 21:17:04 +0000

srm-ifce (1.24.2-2build1) artful; urgency=medium

  * Rebuild against new libgsoap-2.8.49.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:31:24 +0200

srm-ifce (1.24.2-2) unstable; urgency=medium

  * Add missing Build-Depends gsoap
  * Migrate to dbgsym package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 14 Jul 2017 13:02:33 +0200

srm-ifce (1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Mar 2017 09:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>= 9), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config, gsoap
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://dmc.web.cern.ch/
 
@@ -25,12 +26,3 @@
 Description: SRM client side headers and development files
  Development libraries, pkgconfig files and header files for the
  srm-ifce.
-
-Package: srm-ifce-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
-Description: Debug symbols for SRM client side library
- Debug symbols for the srm-ifce.

## srm-ifce 1.24.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 3)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== packaging/Makefile ===
NAME=srm-ifce
SPEC=rpm/$(NAME).spec
VERSION=${shell grep '^Version:' $(SPEC) | awk '{print $$2}' }
# Leave blank. To be overriden by CI tools.
RELEASE=

CWD=${shell pwd}

RPMBUILD=/tmp/rpmbuild
SRPMS=$(CWD)
RPMS=$(CWD)/out

MOCK_CHROOT=epel-6-cernonly-x86_64
MOCK_FLAGS=--verbose


RPMDEFINES_SRC=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir $(CWD)' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS)' \
	--define='_rpmdir $(RPMS)' \
    --define "_source_filedigest_algorithm md5"

RPMDEFINES_BIN=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir %{_topdir}/SOURCES' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS).' \
	--define='_rpmdir $(RPMS)' \
    --define "_binary_filedigest_algorithm md5"


PBUILDER_FLAGS=
PBUILDER_TMP="/tmp/"


all: srpm

clean:
	rm -fv *.tar.gz
	rm -fv *.rpm
	rm -fv *.log
	rm -rfv out
	rm -rfv "$(RPMBUILD)"
	rm -fv *.dsc *.gz *.changes

dist: clean
	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude=".git" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..

$(RPMBUILD):
	mkdir -p "$(RPMBUILD)"

override_release: $(SPEC)
	$(if $(RELEASE), sed -i "s/Release:.*/Release: $(RELEASE)%{?dist}/g" "$(SPEC)")

srpm: dist $(SPEC) $(RPMBUILD) override_release
	/usr/bin/rpmbuild --nodeps -bs $(RPMDEFINES_SRC) $(SPEC)

rpm: srpm
	/usr/bin/rpmbuild --rebuild $(RPMDEFINES_BIN) $(NAME)-$(VERSION)-*.src.rpm

mock: srpm
	/usr/bin/mock $(MOCK_FLAGS) -r $(MOCK_CHROOT) $(NAME)-$(VERSION)-*.src.rpm

deb-src: dist
	rm -rf "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	tar xzf "$(NAME)-$(VERSION).tar.gz" -C "$(PBUILDER_TMP)"
	cp -rv debian "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	$(if $(RELEASE), sed -ri "s/($(NAME) )\((([0-9]+\.)+[0-9]+)-[0-9]+\)/\\1(\\2-$(RELEASE))/g" "$(PBUILDER_TMP)/$(NAME)-$(VERSION)/debian/changelog")
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(NAME)_$(VERSION).orig.tar.gz"
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(PBUILDER_TMP)/$(NAME)_$(VERSION).orig.tar.gz" 
	cd "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"; \
		debuild -us -uc -S
	cp -f $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.diff.gz .
	cp -f $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.dsc .

deb: deb-src
	pbuilder build $(PBUILDER_FLAGS) $(NAME)_$(VERSION)*.dsc

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -71,11 +71,21 @@
     ${GSOAP_CFLAGS}
 )
 include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS})
-link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )
 
 ## main libs
 add_library(srm-ifce  SHARED ${src_libs} ${srm2_source_file1} ${srm2_source_file2} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c})
-target_link_libraries(srm-ifce ${GSOAP_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_LIBRARIES} rt)
+
+target_link_libraries(srm-ifce
+    ${GSOAP_LIBRARIES}
+    ${CGSI_GSOAP_LIBRARIES}
+    ${GLIB2_LIBRARIES}
+    ${GLOBUS_LIBRARIES}
+)
+
+if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    target_link_libraries (srm-ifce rt)
+endif ()
+
 set_target_properties(srm-ifce 	PROPERTIES
 								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
 								SOVERSION ${VERSION_MAJOR}
@@ -101,10 +111,10 @@
     ## unit tests
     add_executable(gfal_srm_ifce_unittest 
     									${src_unit_tests} )
-    target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
+    target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce)
     add_executable(gfal_srm_ifce_systemtest 
     									${src_system_tests} )
-    target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
+    target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce)
     
     add_test(base_unit_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_unittest)
     #add_test(base_system_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_systemtest)

=== debian/changelog ===
srm-ifce (1.24.3-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 05:52:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config, gsoap
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
-Homepage: http://dmc.web.cern.ch/
+Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
+Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
+Homepage: https://dmc.web.cern.ch/
 
 Package: libgfal-srm-ifce1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
+	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" < /dev/null
 
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
@@ -26,7 +26,10 @@
 	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
 	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
 	   debian/tmp/usr/bin/gfal_srm_ifce_version
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package srm-ifce-dbg
+	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'

## srm-ifce 1.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 4)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.24.4-1) unstable; urgency=medium

  * New upstream release (1.24.4)
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Update Homepage tag in debian/control

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Jan 2021 02:24:41 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" < /dev/null

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/share/doc
	# Replace with a script for multi-arch
	printf '#!/bin/sh\necho ' > \
	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
	   debian/tmp/usr/bin/gfal_srm_ifce_version >> \
	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
	   debian/tmp/usr/bin/gfal_srm_ifce_version

override_dh_strip:
	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'

## srm-ifce 1.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 5)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.24.5-1build1) jammy; urgency=medium

  * No-change rebuild against libgsoap-2.8.117

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:22:26 +0000

srm-ifce (1.24.5-1) unstable; urgency=medium

  * New upstream release (1.24.5)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Feb 2021 17:02:19 +0100

=== debian/control ===
Source: srm-ifce
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 libcgsi-gsoap-dev (>= 1.3.6),
 libglib2.0-dev,
 libglobus-ftp-client-dev,
 libglobus-gss-assist-dev,
 pkg-config,
 gsoap,
 libgsoap-dev
Standards-Version: 4.5.1
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/srm-ifce.html

Package: libgfal-srm-ifce1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SRM client side library
 srm-ifce is a client side implementation of the SRMv1 and SRMv2
 specification for GFAL1/2 and FTS. SRM means Storage Resource Manager
 Interface, it is a specification of a SOAP interface providing a
 generic way to manage distributed storage systems.

Package: srm-ifce-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgfal-srm-ifce1 (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev
Description: SRM client side headers and development files
 Development libraries, pkgconfig files and header files for the
 srm-ifce.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" < /dev/null

## srm-ifce 1.24.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 5)
+set(VERSION_PATCH 6)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== packaging/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	rm -fv *.dsc *.gz *.changes
 
 dist: clean
-	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude=".git" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..
+	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude=".git*" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..
 
 $(RPMBUILD):
 	mkdir -p "$(RPMBUILD)"

=== debian/changelog ===
srm-ifce (1.24.6-1) unstable; urgency=medium

  * New upstream release (1.24.6)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Feb 2023 22:57:06 +0100

srm-ifce (1.24.5-2) unstable; urgency=medium

  * Rebuild against openssl 3.0 (Closes: #1014804)
  * Drop old debug symbol migration from 2017

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Jul 2022 16:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper (>= 13),
  cmake,
- libcgsi-gsoap-dev (>= 1.3.6),
+ libcgsi-gsoap-dev (>= 1.3.10),
  libglib2.0-dev,
  libglobus-ftp-client-dev,
  libglobus-gss-assist-dev,
  pkg-config,
  gsoap,
  libgsoap-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
 Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
 	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
 	   debian/tmp/usr/bin/gfal_srm_ifce_version
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'

## srm-ifce 1.24.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 6)
+set(VERSION_PATCH 7)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license

=== debian/changelog ===
srm-ifce (1.24.7-1build1) plucky; urgency=medium

  * Rebuild against latest gsoap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 19:22:49 -0500

srm-ifce (1.24.7-1) unstable; urgency=medium

  * New upstream release (1.24.7)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 01:11:07 +0200

srm-ifce (1.24.6-2) unstable; urgency=medium

  * Enable bind-now hardening

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 21 Mar 2024 20:20:07 +0100

srm-ifce (1.24.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062922

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:25:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  cmake,
  libcgsi-gsoap-dev (>= 1.3.10),
  libglib2.0-dev,
  libglobus-ftp-client-dev,
  libglobus-gss-assist-dev,
- pkg-config,
+ pkgconf,
  gsoap,
  libgsoap-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
 Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
 Homepage: https://dmc-docs.web.cern.ch/dmc-docs/srm-ifce.html
 
-Package: libgfal-srm-ifce1
-Section: libs
+Package: libgfal-srm-ifce1t64
+Provides: ${t64:Provides}
+Replaces: libgfal-srm-ifce1
+Breaks: libgfal-srm-ifce1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -35,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal-srm-ifce1 (= ${binary:Version}),
+ libgfal-srm-ifce1t64 (= ${binary:Version}),
  ${misc:Depends},
  libglib2.0-dev
 Description: SRM client side headers and development files
